Skip to main content
GET
/
v1
/
portfolio
/
activities
Get activities
curl --request GET \
  --url https://api.polymarket.us/v1/portfolio/activities
import requests

url = "https://api.polymarket.us/v1/portfolio/activities"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.polymarket.us/v1/portfolio/activities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "activities": [
    {
      "trade": {
        "id": "<string>",
        "marketSlug": "<string>",
        "createTime": "2023-11-07T05:31:56Z",
        "updateTime": "2023-11-07T05:31:56Z",
        "price": {
          "value": "123.45",
          "currency": "<string>"
        },
        "qty": "<string>",
        "isAggressor": true,
        "costBasis": {
          "value": "123.45",
          "currency": "<string>"
        },
        "realizedPnl": {
          "value": "123.45",
          "currency": "<string>"
        }
      },
      "positionResolution": {
        "marketSlug": "<string>",
        "beforePosition": {
          "netPosition": "<string>",
          "qtyBought": "<string>",
          "qtySold": "<string>",
          "cost": {
            "value": "123.45",
            "currency": "<string>"
          },
          "realized": {
            "value": "123.45",
            "currency": "<string>"
          },
          "bodPosition": "<string>",
          "expired": true,
          "updateTime": "2023-11-07T05:31:56Z",
          "marketMetadata": {
            "slug": "<string>",
            "icon": "<string>",
            "title": "<string>",
            "outcome": "<string>",
            "eventSlug": "<string>"
          },
          "cashValue": {
            "value": "123.45",
            "currency": "<string>"
          },
          "qtyAvailable": "<string>"
        },
        "afterPosition": {
          "netPosition": "<string>",
          "qtyBought": "<string>",
          "qtySold": "<string>",
          "cost": {
            "value": "123.45",
            "currency": "<string>"
          },
          "realized": {
            "value": "123.45",
            "currency": "<string>"
          },
          "bodPosition": "<string>",
          "expired": true,
          "updateTime": "2023-11-07T05:31:56Z",
          "marketMetadata": {
            "slug": "<string>",
            "icon": "<string>",
            "title": "<string>",
            "outcome": "<string>",
            "eventSlug": "<string>"
          },
          "cashValue": {
            "value": "123.45",
            "currency": "<string>"
          },
          "qtyAvailable": "<string>"
        },
        "updateTime": "2023-11-07T05:31:56Z",
        "tradeId": "<string>"
      },
      "accountBalanceChange": {
        "transactionId": "<string>",
        "amount": {
          "value": "123.45",
          "currency": "<string>"
        },
        "updateTime": "2023-11-07T05:31:56Z",
        "createTime": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "nextCursor": "<string>",
  "eof": true
}

Query Parameters

limit
integer<int32>

Maximum number of activities to return

cursor
string

Pagination cursor from previous response

marketSlug
string

Market slug to filter upon

types
enum<string>[]

Types of activities to filter upon

Available options:
ACTIVITY_TYPE_TRADE,
ACTIVITY_TYPE_POSITION_RESOLUTION,
ACTIVITY_TYPE_ACCOUNT_DEPOSIT,
ACTIVITY_TYPE_ACCOUNT_ADVANCED_DEPOSIT,
ACTIVITY_TYPE_ACCOUNT_WITHDRAWAL,
ACTIVITY_TYPE_REFERRAL_BONUS,
ACTIVITY_TYPE_TRANSFER
sortOrder
enum<string>

Sort order for the activities

Available options:
SORT_ORDER_DESCENDING,
SORT_ORDER_ASCENDING

Response

List of activities

activities
object[]

List of activities

nextCursor
string

Pagination cursor for next page

eof
boolean

True if this is the last page